MAC os X Yosemite vs Wavelab 8.5

Hi,

Wavelab 8.5 is not working with OSX 10.10 (Yosemite). What can i do to make it work.

I run WL on a PC but this may help:

http://www.steinberg.net/en/newsandevents/news/newsdetail/article/official-letter-on-yosemite-update-2837.html

Wavelab 8.5 is not working with OSX 10.10

What is not working?

I can run WL on Yosemite, but I’ve found some issues too. Once I do export from Cubase 7.5.30 and i set post process (open in wave lab 8.5.) it won’t open the exported file into opened wl or even didn’t start up wl 8.5. Another issue Ive found is very poor running waves plugins (specially GUI) and UAD2 plugins. On the picture is freshly reopened wl. UAD2 ATR-102 GUI shouldn’t even appear and its just error picture. You can not move or whatever do with it. You have to click on plug in edit button and then the screen disappear. Its a bit frustrating, that the error screen always appear unwanted. I hope that developer will take a look at it and will fix this in further updates.

Screen Shot 2014-10-21 at 13.39.37.jpg

I suppose this is obvious, but you have to be very careful and patient when considering upgrading your OS—especially when it comes to WL—which always has awful problems rendering plug-ins’ GUIs, is highly sensitive to any changes, and takes years to fix (if at all).

Steinberg does not support Yosemite with any application or audio interface, so I would roll back to Mavericks, if you can.

The latest news from Steinberg.net: “Currently we cannot recommend Steinberg customers to update to OS X 10.10 Yosemite.” http://www.steinberg.net/en/newsandevents/news/newsdetail/article/yosemite-compatibility-information-2945.html

Thx, Rat voor the link, WL is installed now and up and running.

Its not crashing, so I can run C7.5 and WL. I will survive the issues ive mentioned :wink:

Is Cubase 7.5 running normally, out of curiosity?

Yeah I haven’t find any issues except opening file after export in WaveLab.

That ain’t no thang.

I noticed that a few weeks ago (Cubase 7.5.3 and WL 8.5.1) on my iMac under Mavericks 10.9.5, so it is likely not a Yosemite issue. What I am running at the moment is serving me just fine.

Will upgrade to Yosemite sometime but for me good approach for now is . . . “if it ain’t broke, don’t fix it!!”

Ive noticed several crashes under Yosemite, so Id wait until Sternberg do version upgrade :wink:

i have a problem installing WL, say You need at least Mac OS X 10.6.0 to install this software, i have OS 10,10,5, why i can do?

No problems here with WL 8.5.30 and OS X 10.10.5 aside from 3rd party plugins causing some crashes which isn’t specific to Yosemite.

Isn’t this the problem where earlier versions of installers stopped working when Yosemite came out, because the installers thought 10.10 was lower than 10.6 ? I’m pretty sure the problem’s been fixed in the latest installers. They can be downloaded at:
http://www.steinberg.net/en/support/downloads.html